## pygobject 3.30.4

=== meson_options.txt ===
option('python', type : 'string', value : 'python3')
option('pycairo', type : 'boolean', value : true, description : 'build with pycairo integration')
