## pygobject 2.14.2-1maemo2

=== debian/changelog ===
pygobject (2.14.2-1maemo2) unstable; urgency=low

  * Add pymaemo specific patches:
    - 05-change_pygconstant_strip_prefix.patch
    - 07-fix-lambda-expression-broken.patch

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue, 09 Dec 2008 09:44:14 -0400

pygobject (2.14.2-1maemo1) unstable; urgency=low

  * Add Conflicts/Replaces for "python2.5-gobject (<< ${binary:Version})".

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Tue, 11 Nov 2008 10:25:22 -0400

pygobject (2.14.2-1) unstable; urgency=low

  * Switch to quilt; build-depend on quilt.
  * New upstream release.
    + Refresh patches.
  * 03_maintainer_mode.patch: add AM_MAINTAINER_MODE.
  * 61_wakeupfd-fix.patch: do not use the wakeupfd in non-threaded 
    applications, as it is not initialized.

 -- Josselin Mouette <joss@debian.org>  Sat, 07 Jun 2008 15:05:11 +0200

pygobject (2.14.1-8) unstable; urgency=low

  * Revert last upload, the pygobject patch was fine and the bug lies in 
    pygtk. Furthermore, wakeupfd gets used anyway since Python supports 
    it, so we *need* this patch.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Jun 2008 00:08:02 +0200

pygobject (2.14.1-7) unstable; urgency=low

  * Also add an explicit python2.5 (>= 2.5.2-5) dep; closes: #481936.
  * Drop patch 61_wakeupfd-fix, it seems to expose some python2.5 64-bits
    issue; revert build-deps and deps bumps from 2.12.1-3 and -4.

 -- Loic Minier <lool@dooz.org>  Tue, 20 May 2008 11:26:02 +0200

pygobject (2.14.1-6) unstable; urgency=low

  * Update 61_wakeupfd-fix to use more ifdefs for python without the wakeupfd
    support; see #481457.
  * Build-dep and dep on python2.5-dev >= 2.5.2-5 for wakeupfd support.

 -- Loic Minier <lool@dooz.org>  Fri, 16 May 2008 14:14:06 +0200

pygobject (2.14.1-5) unstable; urgency=low

  * New patch, 61_wakeupfd-fix, from the fix to the initial SETWAKEUPFD
    support in GNOME #481569.

 -- Loic Minier <lool@dooz.org>  Thu, 15 May 2008 14:56:58 +0200

pygobject (2.14.1-4) unstable; urgency=low

  * Depend and build-depend on libffi-dev >= 3.0.5 so that the older 
    package without a .pc file is not used.

 -- Josselin Mouette <joss@debian.org>  Thu, 17 Apr 2008 20:24:59 +0200

pygobject (2.14.1-3) unstable; urgency=low

  * 01_pkgconfig-private.patch: new patch, move libffi to
    Requires.private to prevent pygobject rdeps from depending on it.
  * 02_ffi-use-pkgconfig.patch: new patch, use pkg-config to check for
    libffi.
  * 60_use-python-config-for-includes.patch: strip the autogenerated
    part.
  * 90_autofoo.patch: re-run aclocal/automake/autoconf on top of it.
  * Capitalize Python in the descriptions.
  * Use binary:Version.

 -- Josselin Mouette <joss@debian.org>  Tue, 25 Mar 2008 01:11:56 +0100

pygobject (2.14.1-2) unstable; urgency=low

  * New patch, 60_use-python-config-for-includes, use python-config to set
    PYTHON_INCLUDES; fixes support for -dbg package; GNOME #448173;
    closes: #468130.  NB: the patch also ships m4/ from upstream SVN as this
    wasn't disted properly and also updated autoconf.

 -- Loic Minier <lool@dooz.org>  Wed, 27 Feb 2008 16:09:00 +0100

pygobject (2.14.1-1) unstable; urgency=low

  * New upstream release; new features / bug fixes.

 -- Loic Minier <lool@dooz.org>  Mon, 07 Jan 2008 10:59:32 +0100

pygobject (2.14.0-4) unstable; urgency=low

  * debian/rules:
     - don't stop the build when make check has an error to avoid having
       to add a depends on pygtk

 -- Sebastien Bacher <seb128@debian.org>  Sat, 01 Dec 2007 23:20:19 +0100

pygobject (2.14.0-3) unstable; urgency=low

  * debian/control.in:
    - Build-Depends on python-all-dbg
    - Conflicts,Provides,Replaces python-gobject-doc
    - list python-gobject-dbg package
  * debian/rules:
    - build dbg variant
    - run make check

 -- Sebastien Bacher <seb128@debian.org>  Fri, 30 Nov 2007 12:46:58 +0100

pygobject (2.14.0-2) unstable; urgency=low

  * python-gobject-dev depends on libglib2.0-dev and libffi-dev.

 -- Josselin Mouette <joss@debian.org>  Sun, 23 Sep 2007 22:43:19 +0200

pygobject (2.14.0-1) unstable; urgency=low

  * New upstream release.
  * Use source:Version.
  * Build-depend on libffi-dev.

 -- Josselin Mouette <joss@debian.org>  Sat, 22 Sep 2007 10:11:58 +0200

pygobject (2.12.3-2) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
  * Cleanup rules.
  * Build-depend on autotools-dev.
  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.
  * Upload to unstable; drop check-dist include.
  * Add watch file.
  * Fix URL in copyright.
  * Wrap build-deps and deps.
  * Set XS-Python-Version to >= 2.3 and build-conflict on python2.3-dev <<
    2.3.5; add XB-Python-Version; bump python-all-dev build-dep to >= 2.3.5.
  * Add a ${misc:Depends}.
  * Don't pass --host to configure when DEB_BUILD_GNU_TYPE equals
    DEB_HOST_GNU_TYPE.
  * build target is PHONY.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Sat, 14 Apr 2007 13:29:37 +0200

pygobject (2.12.3-1) experimental; urgency=low

  * New upstream release.
  * 01_doc_licensing.patch: removed, integrated upstream.

 -- Josselin Mouette <joss@debian.org>  Thu,  4 Jan 2007 20:41:25 +0100

pygobject (2.12.1-4) experimental; urgency=low

  * python-gobject-dev recommends docbook-xsl.
  * python-gobject-dev depends on python-dev.

 -- Josselin Mouette <joss@debian.org>  Tue,  2 Jan 2007 22:27:27 +0100

pygobject (2.12.1-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Build-depend on docbook-xsl (closes: #397811).

  [ Loic Minier ]
  * Upload.

 -- Loic Minier <lool@dooz.org>  Sun,  3 Dec 2006 13:50:38 +0100

pygobject (2.12.1-2) experimental; urgency=low

  * 01_doc_licensing.patch: stolen from upstream CVS. Upstream agreed to 
    relicense the documentation to LGPL.

