=== debian/control ===
--- 
+++ 
@@ -1,36 +1,33 @@
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: 
+Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
 Build-Depends: debhelper (>= 5),
                python-support (>= 0.4),
                gnome-pkg-tools (>= 0.10),
                cdbs,
-               quilt,
-               python2.5-dev (>= 2.5.2-5),
-               python-all-dev (>= 2.3.5),
-               libglib2.0-dev (>= 2.8.0),
+               quilt (>> 0.45),
+               python-all-dev (>= 2.5),
+               libglib2.0-dev (>= 2.16.0),
                libffi-dev (>= 3.0.5),
                xsltproc,
                docbook-xsl,
                autotools-dev,
                python-all-dbg
 Build-Conflicts: python2.3-dev (<< 2.3.5)
-XS-Python-Version: >= 2.3
-Standards-Version: 3.7.3
+XS-Python-Version: >= 2.5
+Standards-Version: 3.8.0
 
 Package: python-gobject
 Architecture: any
 Depends: ${python:Depends},
-         python2.5 (>= 2.5.2-5),
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Suggests: python-gobject-dbg
-Replaces: python2.5-gobject (<< ${binary:Version})
-Conflicts: python-gtk2 (<< 2.10), python2.5-gobject (<< ${binary:Version})
+Conflicts: python-gtk2 (<< 2.10)
 Description: Python bindings for the GObject library
  GObject is an abstraction layer that allows to program with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -44,7 +41,6 @@
 Depends: ${python:Depends},
          ${misc:Depends},
          python-gobject (>= ${source:Version}),
-         python2.5-dev (>= 2.5.2-5),
          python-dev,
          libglib2.0-dev (>= 2.8.0),
          libffi-dev (>= 3.0.5)
@@ -72,17 +68,3 @@
  .
  This package contains the Python bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
-
-Package: python2.5-gobject
-Architecture: any
-Depends: python-gobject (= ${binary:Version})
-Description: Python bindings for the GTK+ widget set
- This package name is now deprecated, please use the python-gobject package
- for developing new software.
-
-Package: python2.5-gobject-dev
-Architecture: any
-Depends: python-gobject-dev (= ${binary:Version})
-Description: GTK+ bindings: devel files
- This package name is now deprecated, please use the python-gobject-dev package
- for developing new software.
