## pygobject 2.21.5

=== debian/changelog ===
pygobject (2.21.5-0ubuntu3) maverick; urgency=low

  * Correctly update the version for the new soname...

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 19:19:10 +0200

pygobject (2.21.5-0ubuntu2) maverick; urgency=low

  * debian/control.in:
    - rebuild with the new gobject-introspection and with the correct soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 18:42:35 +0200

pygobject (2.21.5-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Rebuild against gobject-introspection 0.9.1

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 10 Aug 2010 17:54:17 +1000

pygobject (2.21.4-1ubuntu1) maverick; urgency=low

  * Resync on Debian
  * debian/control: 
    - Depends on gir1.0-glib-2.0
  * debian/rules:
    - don't use a specific python version there

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 05 Aug 2010 16:40:25 +0200
