=== debian/control ===
--- 
+++ 
@@ -1,8 +1,14 @@
+# This file is autogenerated. DO NOT EDIT!
+# 
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
+
 Source: pygobject
 Section: python
 Priority: optional
-Maintainer: Josselin Mouette <joss@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Andres Salomon <dilinger@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 7),
                python-support (>= 0.4),
                gnome-pkg-tools (>= 0.10),
@@ -10,7 +16,10 @@
                quilt,
                python-all-dev (>= 2.5),
                libglib2.0-dev (>= 2.22.4),
+               libcairo2-dev,
                libffi-dev (>= 3.0.5),
+               libgirepository1.0-dev (>= 0.9.3-0ubuntu2),
+               python-cairo-dev (>= 1.0.2),
                xsltproc,
                docbook-xsl,
                autotools-dev,
@@ -18,24 +27,42 @@
 Build-Conflicts: python2.3-dev (<< 2.3.5)
 XS-Python-Version: >= 2.5
 Standards-Version: 3.9.0
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/desktop/unstable/pygobject
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/pygobject/ubuntu
 
 Package: python-gobject
 Architecture: any
 Depends: ${python:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
-Provides: ${python:Provides}
+         ${misc:Depends},
+         gir1.0-glib-2.0
+Provides: ${python:Provides}, python-gi
 XB-Python-Version: ${python:Versions}
+Recommends: python-gobject-cairo
 Suggests: python-gobject-dbg
-Conflicts: python-gtk2 (<< 2.10)
+Conflicts: python-gtk2 (<< 2.10), python-gi
+Replaces: python-gi
 Description: Python bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
  the core library used to build GTK+ and GNOME.
  .
  This package contains the Python bindings for GObject. It is mostly
+ used by other bindings to map their GObjects to Python objects.
+
+Package: python-gobject-cairo
+Architecture: any
+Depends: ${python:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python-cairo
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
+Description: Python Cairo bindings for the GObject library
+ GObject is an abstraction layer that allows programming with an object
+ paradigm that is compatible with many languages. It is a part of Glib,
+ the core library used to build GTK+ and GNOME.
+ .
+ This package contains the Python Cairo bindings for GObject. It is mostly
  used by other bindings to map their GObjects to Python objects.
 
 Package: python-gobject-dev
