=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-# pyversions does not like the default header contents
-CONTROL_HEADER = /dev/null
-
-CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2) -I/usr/include/$(DEB_HOST_GNU_TYPE)
+CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -23,7 +20,9 @@
 	configure_flags += --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-PYVERS := $(shell pyversions -vr)
+PYDEFAULTVER := $(shell pyversions --default --version)
+PYVERS := $(shell pyversions --requested --version debian/control)
+PYVERS := $(filter-out $(PYDEFAULTVER), $(PYVERS)) $(PYDEFAULTVER)
 
 # how to call quilt
 PATCH_DIR := $(CURDIR)/debian/patches
@@ -73,8 +72,7 @@
 
 build-%/build-stamp: build-%/configure-stamp
 	dh_testdir
-	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* pyexecdir=/var/lib/python-support/python$*
-	-PYTHON=/usr/bin/python$* $(MAKE) -C build-$* check
+	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* pyexecdir=/usr/lib/pymodules/python$*
 	touch $@
 
 dbg-build-%/build-stamp: dbg-build-%/configure-stamp
@@ -84,18 +82,28 @@
 
 build: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
 
+build-%/check-stamp: build-%/build-stamp
+	-PYTHON=/usr/bin/python$* $(MAKE) -C build-$* check
+	touch $@
+
+dbg-build-%/check-stamp: dbg-build-%/build-stamp
+	-PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* check
+	touch $@
+
+check: $(PYVERS:%=build-%/check-stamp) $(PYVERS:%=dbg-build-%/check-stamp)
+
 build-%/install-stamp: build-%/build-stamp
 	dh_testdir
 	dh_testroot
-	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=/var/lib/python-support/python$*
+	PYTHON=/usr/bin/python$* $(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dev pyexecdir=/usr/lib/pymodules/python$*
 	touch $@
 
 dbg-build-%/install-stamp: dbg-build-%/build-stamp
 	dh_testdir
 	dh_testroot
 	PYTHON=/usr/bin/python$*-dbg $(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-gobject-dbg
-	find debian/python-gobject-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) | xargs rm -rf 
-	find debian/python-gobject-dbg -type d -empty | xargs rm -rf
+	find debian/python-gobject-dbg ! -type d ! \( -name '*.so' -o -name '*.so.*' \) -delete
+	find debian/python-gobject-dbg -type d -empty -delete
 	touch $@
 
 install-stamp: $(PYVERS:%=build-%/build-stamp) $(PYVERS:%=dbg-build-%/build-stamp)
@@ -103,15 +111,20 @@
 	dh_testroot
 	# remove the install stamps to force a reinstall (since dh_clean is
 	# removing the package dirs)
-	dh_clean -k $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
+	dh_prep
+	rm -f $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
 	$(MAKE) -f debian/rules $(PYVERS:%=build-%/install-stamp) $(PYVERS:%=dbg-build-%/install-stamp)
-	find debian/python-gobject-dev -name \*.la | xargs rm -rf
-	mkdir -p debian/python-gobject/var/lib debian/python-gobject/usr/lib
-	mv debian/python-gobject-dev/var/lib/python* debian/python-gobject/var/lib/
+	find debian/python-gobject-dev -name \*.la -delete
+	for i in $(PYVERS); do \
+		mkdir -p debian/python-gobject-cairo/usr/lib/pymodules/python$$i/gtk-2.0/gi; \
+		mv debian/python-gobject-dev/usr/lib/pymodules/python$$i/gtk-2.0/gi/_gi_cairo.so debian/python-gobject-cairo/usr/lib/pymodules/python$$i/gtk-2.0/gi; \
+	done
+	mkdir -p debian/python-gobject/usr/lib
+	mv debian/python-gobject-dev/usr/lib/pymodules debian/python-gobject/usr/lib/
 	mv debian/python-gobject-dev/usr/lib/libpyglib-*so.* \
 	   debian/python-gobject/usr/lib
-	rm -rf debian/python-gobject-dev/usr/lib/python* debian/python-gobject-dev/var
-	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/*-packages/*'); do \
+	rm -rf debian/python-gobject-dev/usr/lib/python*
+	for i in $$(find debian/python-gobject-dbg -name '*.so' -path 'debian/python-gobject-dbg/usr/lib/python*/site-packages/*'); do \
 		b=$$(basename $$i .so); \
 		mv $$i $$(dirname $$i)/$${b}_d.so; \
 	done
@@ -128,9 +141,11 @@
 	rm -f install-stamp
 	rm -rf build-* dbg-build-*
 	$(MAKE) -f debian/rules unpatch
-	dh_clean *.py[co] */*.py[co]
+	dh_clean *.pyc */*.pyc
 
-binary-indep: install
+maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)
+
+binary-indep: install $(maybe_check)
 	dh_testdir
 	dh_testroot
 	dh_installdocs -i
@@ -147,13 +162,14 @@
 	dh_md5sums -i
 	dh_builddeb -i
 
-binary-arch: install
+binary-arch: install $(maybe_check)
 	dh_testdir
 	dh_testroot
 	dh_installdocs -s
 	dh_installexamples -s
 	dh_installchangelogs -s ChangeLog
 	dh_strip -ppython-gobject --dbg-package=python-gobject-dbg
+	dh_strip -ppython-gobject-cairo --dbg-package=python-gobject-dbg
 	rm -rf debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	ln -sf python-gobject debian/python-gobject-dbg/usr/share/doc/python-gobject-dbg
 	dh_link -s
@@ -169,4 +185,4 @@
 	dh_builddeb -s
 
 binary: binary-arch binary-indep
-.PHONY: patch unpatch build install clean binary-indep binary-arch binary
+.PHONY: patch unpatch build check install clean binary-indep binary-arch binary
