=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/pygobject/([\d\.]+)\d/pygobject-([\d\.]+)\.tar\.gz
